Page MenuHomePhabricator

Dump should allow getting elections by their ID
Closed, ResolvedPublic

Description

Currently, dump.php only accepts the elections title as the mode of identification, which is not a good idea (e.g. the title may include Unicode characters making it hard to type for some, copy-paste errors can occur, title may change, etc). It should also allow getting elections by their numeric ID.

Event Timeline

Huji created this task.Sep 11 2017, 11:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2017, 11:55 PM
Huji claimed this task.Sep 11 2017, 11:55 PM
Huji triaged this task as Lowest priority.

Change 377373 had a related patch set uploaded (by Huji; owner: Huji):
[mediawiki/extensions/SecurePoll@master] Dump should allow getting elections by their ID

https://gerrit.wikimedia.org/r/377373

Huji updated the task description. (Show Details)Sep 12 2017, 12:58 AM
Huji updated the task description. (Show Details)

Change 377373 merged by jenkins-bot:
[mediawiki/extensions/SecurePoll@master] Dump should allow getting elections by their ID

https://gerrit.wikimedia.org/r/377373

matmarex closed this task as Resolved.Sep 19 2017, 5:16 PM
matmarex removed a project: Patch-For-Review.